using LibSernatur.Misc;

void add_rut_tests () {
    Test.add_func ("/sernatur/test/rut", () => {
		try {
			Rut rut = new Rut ("18166316-2");
			assert (rut.get_clean_rut () == "181663162");
			assert (rut.get_rut () == "18.166.316-2");
			assert (rut.type () == Rut.Type.RUN);

			rut = new Rut ("181663162");
			assert (rut.get_clean_rut () == "181663162");
			assert (rut.get_rut () == "18.166.316-2");
			assert (rut.type () == Rut.Type.RUN);

			rut = new Rut ("20.380.508-k");
			assert (rut.get_clean_rut () == "20380508K");
			assert (rut.get_rut () == "20.380.508-K");
			assert (rut.type () == Rut.Type.RUN);

			rut = new Rut ("50380508-1");
			assert (rut.get_clean_rut () == "503805081");
			assert (rut.get_rut () == "50.380.508-1");
			assert (rut.type () == Rut.Type.RUT);
		}
		catch (Error e) {
			error (e.message);
		}
    });
}

int main (string[] args) {
    Test.init (ref args);
    add_rut_tests ();
    return Test.run ();
}
